OSINT Lookups
IP Address Information
Retrieves geolocation and network info for an IP address.
GET
https://oathnet.org/api
/
service
/
ip-info
IP Address Information
curl --request GET \
--url https://oathnet.org/api/service/ip-info \
--header 'x-api-key: <api-key>'import requests
url = "https://oathnet.org/api/service/ip-info"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://oathnet.org/api/service/ip-info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Request completed successfully",
"data": {
"status": "success",
"continent": "North America",
"continentCode": "NA",
"country": "United States",
"countryCode": "US",
"region": "IL",
"regionName": "Illinois",
"city": "Chicago",
"district": "Near South Side",
"zip": "60616",
"lat": 41.8536,
"lon": -87.6183,
"timezone": "America/Chicago",
"offset": -21600,
"currency": "USD",
"isp": "Verizon Business",
"org": "Verizon Business",
"as": "AS6167 Verizon Business",
"asname": "CELLCO-PART",
"reverse": "156.sub-174-235-65.myvzw.com",
"mobile": true,
"proxy": false,
"hosting": false,
"query": "174.235.65.156",
"_meta": {
"user": {
"plan": "Pro",
"plan_type": "pro",
"is_plan_active": true
},
"lookups": {
"used_today": 10,
"left_today": 99989,
"daily_limit": 99999,
"is_unlimited": false
}
}
}
}⌘I
IP Address Information
